# escaper.hxx File Reference

Definitions of the escaper class and related functions. More...

Include dependency graph for escaper.hxx:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn
namespace | vcsn::misc

## Functions

int | escaped ()
| Get the index in the internal extensible array for escaped characters.
template<class T>
escaper< T > | make_escaper (const T &w)
| Build an escaper.
std::set< char > & | getesc (std::ostream &ostr)
| Retrieve the escaped characters set of a stream.

## Detailed Description

Definitions of the escaper class and related functions.

See also:
  vcsn::misc::escaper.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

Definition in file escaper.hxx.